- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/patch#try-it)

Updates a `NativeStyle` object.

### HTTP request

`PATCH https://admanager.googleapis.com/v1/{nativeStyle.name}`

### Path parameters

| Parameters ||
|---|---|
| `nativeStyle.name` | `string` Identifier. The resource name of the `NativeStyle`. Format: `networks/{networkCode}/nativeStyles/{nativeStyleId}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).